<template>
    <div class="fullscreen">
        <el-header height="50px">
            <div class="header-container">
                <div class="logo-container">
                    <img src="../assets/img/whiteLogo_darkTheme.png" alt />
                    <span class="logoText">{{ companyName }}</span>
                </div>
            </div>
        </el-header>
        <div class="top-left">
            <span class="top-left-date">{{ date }}</span>
            <span class="top-left-day">{{ day }}</span>
        </div>
        <div class="top-right">
            <span class="top-right-name">欢迎您：{{ username }}</span>
        </div>
        <video
            loop
            autoplay
            muted
            style="
                z-index: -1;
                position: absolute;
                object-fit: cover;
                left: 0px;
                top: 0px;
                width: 100%;
                height: 100%;
            "
        >
            <source :src="videoSrc" type="video/mp4" />
            <source :src="videoSrc" type="video/ogg" />
            <source :src="videoSrc" type="video/webm" />
        </video>
        <div class="inner-fullscreen">
            <div class="crew-container crew6">
                <img :src="crewImg" style="width: 100%; height: 100%" />
                <div class="crew-leaf1"></div>
            </div>
            <div class="crew-container crew5">
                <img :src="crewImg" style="width: 100%; height: 100%" />
                <div class="crew-leaf1"></div>
            </div>
            <div class="crew-container crew4">
                <img :src="crewImg" style="width: 100%; height: 100%" />
                <div class="crew-leaf1"></div>
            </div>
            <div class="crew-container crew3">
                <img :src="crewImg" style="width: 100%; height: 100%" />
                <div class="crew-leaf1"></div>
            </div>
            <div class="crew-container crew2">
                <img :src="crewImg" style="width: 100%; height: 100%" />
                <div class="crew-leaf1"></div>
            </div>
            <div class="crew-container crew1">
                <img :src="crewImg" style="width: 100%; height: 100%" />
                <div class="crew-leaf1"></div>
            </div>
            <div class="bg-circle-container-outer">
                <div class="bg-circle-container">
                    <div class="bg-circle"></div>
                    <div class="bg-circle-center"></div>
                    <div class="bg-circle-line">
                        <div
                            @click="goPage(item)"
                            :class="`circle-container circleL circleL${
                                index + 1
                            }`"
                            v-for="(item, index) in frontMenus.slice(0, 5)"
                            :key="item.alias"
                        >
                            <div class="circle-bg">
                                <div
                                    :class="`circle-inner circle-inner-${
                                        index + 1
                                    }`"
                                ></div>
                            </div>
                            <div class="circle-text">
                                {{ item.name }}
                            </div>
                        </div>
                        <div
                            @click="goPage(item)"
                            :class="`circle-container circleR circleR${
                                index + 1
                            }`"
                            v-for="(item, index) in frontMenus.slice(5)"
                            :key="item.alias"
                        >
                            <div class="circle-bg">
                                <div
                                    :class="`circle-inner circle-inner-${
                                        index + 1
                                    }`"
                                ></div>
                            </div>
                            <div class="circle-text">
                                {{ item.name }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import utils from '@/hotent-ui-util.js'
export default {
    name: 'CrewIndex',
    data() {
        return {
            companyName: '',
            videoSrc: require('@/assets/img/bg.mp4'),
            crewImg: require('@/assets/img/crewDark22.png'),
            frontMenus: [
                {
                    name: '',
                },
            ],
            date: '',
            day: '',
            timer: null,
            username: '',
        }
    },
    mounted() {
        if (!this.fullname) {
            this.username = JSON.parse(
                sessionStorage.getItem('currentUser')
            ).username
        }
        this.getSysInfo()
        this.getMenus()
        this.formatDate()
    },
    beforeDestroy() {
        clearInterval(this.timer)
    },
    methods: {
        getSysInfo() {
            let url = '${uc}/uc/tenantManage/v1/getTenantByCode?code=platform'
            this.$http.get(url).then((resp) => {
                if (resp.data) {
                    let tenantManage = resp.data
                    this.companyName = tenantManage.nameFront
                }
            })
        },
        formatDate() {
            this.timer = null
            setInterval(() => {
                let date = new Date().getTime()
                this.date = utils.formatDate(date, 'dateTime')
            }, 1000)
            if (new Date().getDay() == 0) {
                this.day = '星期日'
            } else if (new Date().getDay() == 1) {
                this.day = '星期一'
            } else if (new Date().getDay() == 2) {
                this.day = '星期二'
            } else if (new Date().getDay() == 3) {
                this.day = '星期三'
            } else if (new Date().getDay() == 4) {
                this.day = '星期四'
            } else if (new Date().getDay() == 5) {
                this.day = '星期五'
            } else if (new Date().getDay() == 6) {
                this.day = '星期六'
            }
        },
        getMenus() {
            let storageMenus = sessionStorage.getItem("currentFrontMenus");
            if (storageMenus) {
                this.frontMenus = JSON.parse(storageMenus);
            }else{
                this.$store.dispatch('menu/actionFrontMenus').then(res=>{
                    this.frontMenus = res
                })
            }
        },
        goPage(path) {
            this.$router.push({
                path: `/frontPlat/${path.alias}`,
            })
        },
    },
}
</script>

<style lang="scss" scoped>
.fullscreen {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.header-container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    // box-shadow: 0 4px 10px 0 rgba($--light-border, 0.2);
    // background: rgba($--light-active-border, 0.3);
    background: url('../assets/img/top2.png') center / 100% 100% no-repeat;
    width: 100%;
    height: 50px;
    color: #fff;
}

.top-left {
    position: absolute;
    width: 32%;
    height: 70px;
    left: 0;
    top: 25px;
    color: #fff;
    background: url('../assets/img/top-left.png') center / 100% 100% no-repeat;
}

.top-left-date {
    position: absolute;
    left: 25%;
    top: 20%;
    font-weight: bold;
}

.top-left-day {
    position: absolute;
    left: 51%;
    top: 42%;
    font-weight: bold;
}


.top-right {
    position: absolute;
    width: 32%;
    height: 70px;
    right: 0;
    top: 25px;
    background: url('../assets/img/top-right.png') center / 100% 100% no-repeat;
}

.top-right-name {
    position: absolute;
    left: 46%;
    top: 24%;
    font-weight: bold;
    color: #fff;
}

.logo-container {
    width: 32%;
    text-align: center;
    display: flex;
    justify-content: center;

    img {
        width: 38%;
        height: auto;
    }

    .logoText {
        font-size: 20px;
        font-weight: bold;
        margin-left: 20px;
    }
}

.inner-fullscreen {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: url('../assets/img/bg-1.png') center / 100% 100% no-repeat;
}

.bg-circle-container-outer {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-circle-container {
    // position: absolute;
    // left: calc(50% - 19vw);
    // top: 80px;
    position: relative;
    width: 32vw;
    height: 32vw;
    z-index: 1;

    .bg-circle {
        width: 100%;
        height: 100%;
        transform-origin: 50% 50%;
        background: url('../assets/img/bgCircle.png') center / 100% 100% no-repeat;
        animation: circle 8s infinite linear;
    }

    .bg-circle-center {
        position: absolute;
        left: 11%;
        top: 11%;
        width: 78%;
        height: 78%;
        z-index: 2;
        background: url('../assets/img/bgCircle-center.png') center / 100% 100% no-repeat;
        animation: scale 8s infinite linear;
        -moz-animation: scale 8s infinite linear;
        -webkit-animation: scale 8s infinite linear;
        -o-animation: scale 8s infinite linear;
    }

    @keyframes scale {
        0% {
            transform: scale(1);
        }

        50% {
            transform: scale(1.05);
        }

        100% {
            transform: scale(1);
        }
    }

    .bg-circle-line {
        position: absolute;
        left: -20%;
        top: 12%;
        width: 140%;
        height: 90%;
        z-index: 2;
        background: url('../assets/img/bgCircle-line.png') center / 100% 100% no-repeat;
    }
}



.crew-container {
    width: 250px;
    height: 570px;
    position: absolute;

    .crew-leaf1 {
        width: 133.6%;
        height: 59.47%;
        background: url('../assets/img/crewIndex1.png') center / 100% 100% no-repeat;
        position: absolute;
        top: -0.5%;
        left: -18.5%;
        animation: circle 8s infinite linear;
        -moz-animation: circle 8s infinite linear;
        -webkit-animation: circle 8s infinite linear;
        -o-animation: circle 8s infinite linear;
        transform-origin: 53.89% 60.47%;
    }

    @keyframes circle {
        0% {
            transform: rotateZ(0);
        }

        100% {
            transform: rotateZ(-360deg);
        }
    }

    @-moz-keyframes circle {
        0% {
            transform: rotateZ(0);
        }

        100% {
            transform: rotateZ(-360deg);
        }
    }

    @-webkit-keyframes circle {
        0% {
            transform: rotateZ(0);
        }

        100% {
            transform: rotateZ(-360deg);
        }
    }
}



.crew-circle:hover {
    transform: scale(1.2);
}

.circle-container {
    width: 5vw;
    height: 5vw;
    ;
    border-radius: 10vw;
    ;
    color: #fff;
    // background-color: #548eaa;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    font-weight: bold;
    position: absolute;
    z-index: 10;
    cursor: pointer;

}

.circle-container:hover .circle-inner {
    width: 36px;
    height: 36px;
}

.circleL .circle-bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url('../assets/img/btnCircle.png') center / 100% 100% no-repeat;
    animation: scale 3s infinite linear;
}

.circle-inner {
    width: 26px;
    height: 26px;

}

.circleL .circle-inner-1 {
    background: url('../assets/img/btn1.png') center / 100% 100% no-repeat;

}

.circleL .circle-inner-2 {
    background: url('../assets/img/btn2.png') center / 100% 100% no-repeat;
}

.circleL .circle-inner-3 {
    background: url('../assets/img/btn3.png') center / 100% 100% no-repeat;
}

.circleL .circle-inner-4 {
    background: url('../assets/img/btn4.png') center / 100% 100% no-repeat;
}

.circleL .circle-inner-5 {
    background: url('../assets/img/btn5.png') center / 100% 100% no-repeat;
}

.circleR .circle-inner-1 {
    background: url('../assets/img/btn6.png') center / 100% 100% no-repeat;
}

.circleR .circle-inner-2 {
    background: url('../assets/img/btn7.png') center / 100% 100% no-repeat;
}

.circleR .circle-inner-3 {
    background: url('../assets/img/btn8.png') center / 100% 100% no-repeat;
}

.circleR .circle-inner-4 {
    background: url('../assets/img/btn9.png') center / 100% 100% no-repeat;
}

.circleR .circle-inner-5 {
    background: url('../assets/img/btn10.png') center / 100% 100% no-repeat;
}

.circleR .circle-bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url('../assets/img/btnCircle2.png') center / 100% 100% no-repeat;
    animation: scale 3s infinite linear;
}

.circleL .circle-text {
    position: absolute;
    left: 106%;
    font-size: 18px;
    bottom: 19px;
    width: 90px;
    color: #00dcff;
}

.circleR .circle-text {
    position: absolute;
    right: 88%;
    font-size: 18px;
    bottom: 19px;
    width: 90px;
    color: #00dcff;
}

.circleL1 {
    left: 0%;
    top: -14.8%;
}

.circleL2 {
    left: -7.4%;
    top: 9.8%;
}

.circleL3 {
    left: -9.4%;
    top: 34.8%;
}

.circleL4 {
    left: -6%;
    top: 59.8%;
}

.circleL5 {
    left: 2.8%;
    top: 85%;
}

.circleR1 {
    left: 89%;
    top: -14.8%;
}

.circleR2 {
    left: 96.5%;
    top: 9.8%;
}

.circleR3 {
    left: 98.3%;
    top: 34.8%;
}

.circleR4 {
    left: 95%;
    top: 59.8%;
}

.circleR5 {
    left: 85.9%;
    top: 85%;
}

.crew1 {
    bottom: 1vw;
    left: 16%;
    z-index: 5;
    width: 8vw;
    height: 18.24vw;
    transform: rotateY(180deg);
}

.crew2 {
    bottom: 10vw;
    left: 8.5%;
    width: 7vw;
    height: 15.96vw;
    transform: rotateY(180deg);
}

.crew3 {
    bottom: 20vw;
    left: 4%;
    width: 6vw;
    height: 13.68vw;
    transform: rotateY(180deg);
}

.crew4 {
    bottom: 1vw;
    right: 16%;
    z-index: 5;
    width: 8vw;
    height: 18.24vw;
    transform: rotateY(180deg);
}

.crew5 {
    bottom: 10vw;
    right: 8.5%;
    width: 7vw;
    height: 15.96vw;
    transform: rotateY(180deg);
}

.crew6 {
    bottom: 20vw;
    right: 4%;
    width: 6vw;
    height: 13.68vw;
    transform: rotateY(180deg);
}
.crew4,.crew5,.crew6{
    img{
        transform: rotateY(180deg);
    }
    .crew-leaf1 {
        left: -25.5%;
    }
}

</style>